<?php
	session_start();

	$iduser = $_SESSION['id_user'];
	require ("./Funciones/funciones.php");
	$conexion = conecta();
	$nombre = $_REQUEST['cantidad'];
	$id = $_GET['id'];

	$sqla= "SELECT * FROM productos where idprod= '$id'";
	$resa = mysqli_query($conexion,$sqla);
	$numa = mysqli_num_rows($resa);
	$stock = mysqli_result($resa, 0,"stock");

	$sqle= "SELECT * FROM pedidos_items where idproducto= '$id' and idusuario='$iduser' and idpedido=0";
	$rese = mysqli_query($conexion,$sqle);
	$nume = mysqli_num_rows($rese);
	if($nume==0){
		if($nombre<=$stock){
		$sql = "INSERT INTO pedidos_items VALUES (0, 0,'$id','$nombre','$iduser')";
		$res = mysqli_query($conexion,$sql);
		}
	}else{
		$cant = mysqli_result($rese, 0,"cantidad");
		$nombre = $nombre + $cant;
		if($nombre<=$stock)
		{
			$sqls = "UPDATE pedidos_items SET cantidad = $nombre WHERE idproducto= '$id' and idusuario='$iduser' and idpedido=0";
		$ress = mysqli_query($conexion,$sqls);
		}
	}
		



	if (headers_sent()) {
    die("La redireccion fallo. Porfavor da click en el siguiente enlace para continuar: <a href=\"carrito.php\">Lista de administradores</a>");
	}
	else{
    exit(header("Location: carrito.php"));
	}
	
?>
